KDE 4.9 PyKDE API Reference

- KDE's Python API

# KBuildSycocaProgressDialog Class Reference

`from PyKDE4.kio import *`

Inherits: QProgressDialog → QDialog → QWidget → QObject

## Detailed Description

Progress dialog while ksycoca is being rebuilt (by kbuildsycoca). Usage: KBuildSycocaProgressDialog.rebuildKSycoca(parentWidget)

## Methods

| __init__ (self, QWidget parent, QString caption, QString text)

## Static Methods

| rebuildKSycoca (QWidget parent)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent,
|  | QString | caption,
|  | QString | text
| ) |  |  |

## Static Method Documentation

rebuildKSycoca | ( | QWidget | parent
| ) |  |  |

Rebuild KSycoca and show a progress dialog while doing so.

Parameters:

  | parent | Parent widget for the progress dialog